.block-timeline .timeline{display: grid; grid-template-columns: 1fr; grid-gap: 6rem;}
.block-timeline .timeline .timeline-col{display: flex; gap: 4rem; flex-basis: 50%; align-items: center; position: relative;}

/* Flip on even items */
.block-timeline .timeline-col:nth-child(even){flex-direction: row-reverse;}

.block-timeline .timeline .timeline-col .timeline-image{display: flex; flex-basis: 50%; justify-content: flex-end; position: relative; padding: 5rem 0;}
.block-timeline .timeline .timeline-col:nth-child(even) .timeline-image{justify-content: flex-start;}
.block-timeline .timeline .timeline-col .timeline-image img{border-radius: 100%; aspect-ratio: 1; width: 275px; object-fit: cover; object-position: center; box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);}

.block-timeline .timeline .timeline-col .timeline-image .nester-egg{position: absolute; background-color: #23D2FF; opacity: 0.3; height: 385px; width: 300px; border-radius: 50% 50% 50% 50% / 59% 59% 41% 41%; top: 2rem; right: 2rem; transform: rotate(-45deg); overflow: hidden; z-index: -1;}
.block-timeline .timeline .timeline-col:nth-child(even) .timeline-image .nester-egg{right: unset; left: 2rem; transform: rotate(45deg); background-color: #801FFF;}

.block-timeline .timeline .timeline-col .timeline-content{text-align: center; flex-basis: 50%; font-size: 2.15rem; padding: 0 2rem; padding-bottom: 5rem;}
.block-timeline .timeline .timeline-col .timeline-content::after{content: ''; position: absolute; top: 100%; left: 55%; transform: translate(-50%, -50%) rotate(135deg); width: 125px; height: 200px; background-image: url('/wp-content/themes/toast/assets/images/timeline-arrow.svg'); background-size: contain; background-position: center; background-repeat: no-repeat;}
.block-timeline .timeline .timeline-col:nth-child(even) .timeline-content::after{transform: translate(-50%, -50%) rotate(265deg); left: 42%;}

.block-timeline .timeline .timeline-col:last-of-type .timeline-content::after{display: none;}

@media(max-width: 768px){
    .block-timeline .timeline .timeline-col{display: grid; grid-template-columns: 1fr; grid-gap: 4rem;}

    .block-timeline .timeline .timeline-col .timeline-image{justify-content: center; padding: 3rem 0 8rem;}
    .block-timeline .timeline .timeline-col:nth-child(even) .timeline-image{justify-content: center;}
    .block-timeline .timeline .timeline-col .timeline-image .nester-egg{left: 50%; transform: translateX(-50%) rotate(-45deg); top: -2rem}
    .block-timeline .timeline .timeline-col:nth-child(even) .timeline-image .nester-egg{left: 50%; transform: translateX(-50%) rotate(45deg);}

    .block-timeline .timeline .timeline-col .timeline-content::after{display: none;}
}